#!/usr/bin/env python
import coral
xmidi=coral.lang.XMIDI20

d1 = xmidi.Dimension()
d2 = coral.ModelCopy_One(d1, coral.MODELCOPY_DONT_CREATE_NEW_UUIDS)

assert coral.isSameModel(d2, d1) 

d2.width = 30.0

assert not coral.isSameModel(d2, d1)
#
# This second test is important
# because d1.width is lazily created...
#
assert not coral.isSameModel(d1, d2)

#d2.width = 30
